Subject: Re: [Netconf] Fwd: New Version Notification for draft-lengyel-netconf-notification-capabilities-01.txt

From: Balazs Lengyel <[email-masked]>
Date: Mon, 2 Jul 2018 17:16:16 +0200

Hello Martin,

I think you are right. A single structure would be easier. In this case 
it could be placed in its own module, with its own root, as the 
subscribed modifications or yang-push models  do not have a container 
that would be convenient to augment. This does not seem to belong either 
to streams, filters or subscriptions which are the 3 top level containers.

regards Balazs

On 6/19/2018 10:26 AM, Martin Bjorklund wrote:
> Hi,
>
> Balazs Lengyel <[email-masked]> wrote:
>> Hello,
>>
>> I submitted a new version of the
>> draft-lengyel-netconf-notification-capabilities updated with comments
>> from the last IETF and others. I would like to get this adopted as a
>> workgroup item. Please review it and if you like it, please indicate
>> that you support it as a workgroup item.
>>
>> Changes:
>> o Augment only the new yanglib branch
> The model you propose has the structure:
>
>       augment /yanglib:yang-library/yanglib:module-set/yanglib:module:
>         +--ro notification-sent-for-config-default?   boolean
>         +--ro notification-sent-for-state-default?    boolean
>         +--ro on-change-notification-capability* [data-node-selector]
>            +--ro data-node-selector    nacm:node-instance-identifier
>            +--ro on-change-notification-sent?            boolean
>
> (NOTE: the tree diagram in the draft doesn't match the data model.)
>
> So there is one "on-change-notification-capability" list per *module*
> in a module-set.
>
> This seems quite complex for a client to digest.  It is not clear how
> the "data-node-selector" relates to the "module".  It probably works
> fine when a module is completely self-contained with no augments, and
> no other module that augements it, but it gets complicated with
> augemnts.
>
> Wouldn't it be better to have a single structure per datastore?
>
>
> /martin
>
>
>
>
>
>
>> o Correct the conditions for notifying about state data
>> o Corrections, clarifications
>>
>> regards Balazs
>>
>> -------- Forwarded Message --------
>>
>>   Subject:  New Version Notification for
>>             draft-lengyel-netconf-notification-capabilities-01.txt
>>   Date:     Wed, 13 Jun 2018 01:57:58 -0700
>>   From:     [email-masked]
>>   To:       Alexander Clemm <[email-masked]>, Balazs Lengyel
>>             <[email-masked]>
>>
>> A new version of I-D, draft-lengyel-netconf-notification-capabilities-01.txt
>> has been successfully submitted by Balazs Lengyel and posted to the
>> IETF repository.
>>
>> Name:		draft-lengyel-netconf-notification-capabilities
>> Revision:	01
>> Title:		YangPush Notification Capabilities
>> Document date:	2018-06-13
>> Group:		Individual Submission
>> Pages:		10
>> URL:            https://www.ietf.org/internet-drafts/draft-lengyel-netconf-notification-capabilities-01.txt
>> Status:         https://datatracker.ietf.org/doc/draft-lengyel-netconf-notification-capabilities/
>> Htmlized:       https://tools.ietf.org/html/draft-lengyel-netconf-notification-capabilities-01
>> Htmlized:       https://datatracker.ietf.org/doc/html/draft-lengyel-netconf-notification-capabilities
>> Diff:           https://www.ietf.org/rfcdiff?url2=draft-lengyel-netconf-notification-capabilities-01
>>
>> Abstract:
>>     This document proposes a YANG module that allows a YANG server to
>>     specify for which data nodes it will send "YANG Datastore
>>     Subscription" on-change notifications.  It also proposes to use YANG
>>     Instance Data to document this information in implementation time.
>>
>>
>>
>>
>> Please note that it may take a couple of minutes from the time of submission
>> until the htmlized version and diff are available at tools.ietf.org.
>>
>> The IETF Secretariat
>>
>> --
>> Balazs Lengyel                       Ericsson Hungary Ltd.
>> Senior Specialist
>> Mobile: +36-70-330-7909              email: [email-masked]

-- 
Balazs Lengyel                       Ericsson Hungary Ltd.
Senior Specialist
Mobile: +36-70-330-7909              email: [email-masked]